/*-----------------------------------------------------
home.php
-----------------------------------------------------*/
.l-home {
  margin-top: 5rem;
  width: 75%;
  letter-spacing: 0.05rem;
}

.l-2col {
  display: flex;
  justify-content: space-between;
  gap: 5rem;
}

.nav-links {
  margin-top: 8rem;
}

.page-numbers {
  padding: 0.5rem 1rem;
  background: #fff;
  border: 1px solid #000;
  transition: all .1s ease-in;
}

.page-numbers:not(.dots):hover {
  background: var(--title);
  color: #fff;
}

.page-numbers.current {
  background: var(--title);
  color: #fff;
  }

@media screen and (max-width: 580px) {
  .l-home {
    width: 100%;
  }

  .l-2col {
    display: block;
  }

  .nav-links {
    margin-top: 4rem;
    text-align: center;
  }

  .page-numbers {
    margin-left: 0.25rem;
    padding: 0.5rem 1rem;
    font-size: 0.8rem;
  }

  .page-numbers:first-child {
    margin-left: 0;
  }
}

/*-----------------------------------------------------
category.php
-----------------------------------------------------*/
.l-category {
  width: 75%;
}

.category__title {
  margin-top: 5rem;
  font-weight: 600;
}

.l-category .card__list {
  margin-top: 2rem;
}

@media screen and (max-width: 580px) {
  .l-category {
    width: 100%;
  }
}


/*-------------------------------------------
sidebar.php
-------------------------------------------*/
#sidebar {
  margin-top: 3rem;
  width: 25%;
}

#sidebar .side-title {
  font-size: 1.125rem;
  font-weight: bold;
  margin-bottom: 30px;
}

.author {
  text-align: center;
  margin-bottom: 60px;
}

.archive {
  text-align: center;
}

.archive div:nth-of-type(n + 2) {
  margin-top: 3rem;
}

.archive ul {
  border-bottom: solid  1px #777;
}
.archive li {
  font-size: 0.875rem;
  border-top: solid  1px #777;
  padding: 20px;
  text-align: left;
}

.archive div:last-child form {
  position: relative;
}

.archive select.postform {
  padding: 0.5rem 2rem;
  display: block;
  margin: 0 auto;
  box-sizing: border-box;
  border: 1px solid var(--color4);
  border-radius: 8px;
  background: linear-gradient(0deg, #ddd0c6, #fff); /* 上下の淡いグラデーション */
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2); /* 立体感を出す影 */
  color: inherit;
  font: inherit;
  font-weight: 700;
  line-height: 1.5;
  outline: none; /* デフォルトのフォーカス線を消す */
  appearance: none; /* ブラウザ標準の矢印を非表示にする */
  cursor: pointer;
  transition: border-color 300ms ease, box-shadow 300ms ease;
}

.archive select.postform:hover,
.archive select.postform:focus {
  border-color: var(--color1);
  box-shadow: 0 3px 30px rgba(213, 123, 5, 0.2);
}


@media screen and (max-width: 580px) {
  #sidebar {
    margin: 5rem auto 0;
    width: 85%;
  }
}

/*----------------------------------------
journal
----------------------------------------*/
.journal {
  margin-top: 4rem;
}

.journal__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.hover__all {
  position: relative;
}

.journal__item {
  width: 100%;
  margin-top: 20px;
  cursor: pointer;
}

.card__thumb {
  width: 100%;
  aspect-ratio: 4 / 2.5;
  overflow: hidden;
  position: relative;
}

.card__thumb img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display:block;
  transition: all .3s ease-in-out;
}

.card:hover figure img {
  transform: scale(1.05);
  opacity: 0.8;
}

.card__body {
  margin-top: 0.5rem;
}

.news__ttl {
  margin-top: 0.5rem;
  color: var(--color1);
  font-size: 0.8rem;
  font-weight: 600;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
}

.news__txt {
  margin-top: 0.5rem;
  font-size: 0.7rem;
  font-weight: 400;
  line-height: 1.25;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
}

.category {
  margin-top: 1rem;
}

.data-box {
  margin-top: 0.5rem;
}

.category,
.data-box {
  font-size: 0.8rem;
  font-weight: 600;
}

/* page__news__link */
.page__news__link {
  margin-top: 3rem;
  margin-left: auto;
  width: fit-content;
}


@media screen and (max-width: 900px) {
  .journal__list {
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
  }

  .card__thumb {
    height: 300px
  }
}

@media screen and (max-width: 580px) {
  .journal__list {
    grid-template-columns: 1fr; /* 1列 */
    justify-items: center;      /* 中央配置 */
    gap: 1rem;                  /* card間の余白 */
  }

  .card {
    width: 90%;
  }

  .card__thumb {
    height: 250px
  }

  .data-box {
    font-size: 0.9rem;
  }

  .news__ttl {
    font-size: 1.3rem;
  }

  .news__txt {
    font-size: 0.8rem;
  }

  .category,
  .data-box {
    font-size: 0.65rem;
  }

  .page__news__link {
    margin: 3rem auto 0;
  }
}